{% extends 'layout.twig' %}

{% block body %}
	{% if mode != 'campagne' %}
		<div class="contenu clearfix" id="addQuestion">
			<h1>{{ titre }}</h1>

			{{ ariane() }}

			<div class="tab-content">
	{% endif %}
				{% if mode == 'AO' or mode == 'AO_CONTRIB' %}

					<h2 id="divMenu" style="position:relative;">
						{{ consultation.OBJET_AO }} {{ 'créé le' | trad }} {{ consultation.DTE_AO | dateTrad }} {{ 'par' | trad }} {{ AOEventCreat.NOM }}
					</h2>

					{% include '@Consultation/Consultation/block_entete.twig' %}
				{% elseif mode == 'modele' %}
					{% include "@Evaluation/Modele/entete.twig" %}
				{% elseif mode == 'campagne' %}
					{% include "@Evaluation/Campaign/entete.twig" %}
				{% endif %}
				<h1 class="clearfix">
					{{ subTitle }}

					<a id="EnregistrerQuestion "class="button principal" onClick="ajaxPopupV2('{{ path('Evaluation.Question.validate', {mode:mode, idMode:idMode, idTheme:idTheme, idQuestion:idQuestion}) }}', 'form_new_Question');">{{ 'Enregistrer' | trad }}</a>
					<a class="button secondaire" onClick="redirectJSWithPost('{{ pathBack }}', {id_theme : '{{ idTheme }}', filtre_question : 'O'});">{{ 'Annuler' | trad }}</a>
				</h1>

				<form method="post" name="form_new_Question" id="form_new_Question" 
                    class="box-form clearfix" style="margin:5px;">
                    <div class="clearfix">
						<div class="colonne2">
                            <div class="row" id="answer_type_list" {% if question.QUEST_FOUR | boolSql %}style="display: none;"{% endif %}>
                                {{ inputAdvance('SELECT',{
                                    'titre'             : 'Type de réponse' | trad,
                                    'name'              : 'TYPE_REP',
                                    'value'             : question.TYPE_REP,
                                    'listeValue'        : listeTypeRep,
                                    'optionVide'        : true,
                                    'obligatoire'       : true,
                                }) }}
                            </div>
                            <div class="row" id="answer_type_list_supplier" {% if question.QUEST_FOUR | boolSql == false %}style="display: none;"{% endif %}>
                                {{ inputAdvance('SELECT',{
                                    'titre'             : 'Type de réponse' | trad,
                                    'name'              : 'TYPE_REP_FOUR',
                                    'value'             : question.TYPE_REP,
                                    'listeValue'        : listeTypeRepPourFournisseur,
                                    'optionVide'        : true,
                                    'obligatoire'       : true,
                                }) }}
                            </div>
                        </div>
						<div class="colonne2 last">
                            <div class="row">
                                <i id="explication_reponse">
                                    
                                </i>
                            </div>
                        </div>
                    </div>
                    <div class="single row">
						{{ inputAdvance('TEXT',{
							'titre'             : 'Libellé' | trad,
							'name'              : 'LIB_QUEST',
							'value'             : question.LIB_QUEST,
							'pathValidator'     : path('Ajax.validator.isStringAvecEspace'),
							'paramsValidator'   : "{'sizeMin' : '1', 'sizeMax' : '120'}",
							'obligatoire'       : true,
						}) }}
					</div>
					<div class="single row">
						{{ inputAdvance('TEXTAREA',{
							'titre'             : 'Commentaire' | trad,
							'name'              : 'COMMENTAIRE',
							'value'             : question.COMMENTAIRE ?? (question.DESCRIPTION ?? ''),
							'pathValidator'     : path('Ajax.validator.isStringAvecEspace'),
							'paramsValidator'   : "{'sizeMin' : '0', 'sizeMax' : '3000'}",
						}) }}
					</div>
					<div class="clearfix">
						<div class="colonne2">
							<div class="row">
								{{ inputAdvance('TEXT',{
									'titre'             : 'Poids' | trad,
									'name'              : 'POIDS',
									'value'             : question.POIDS ?? 1,
									'pathValidator'     : path('Ajax.validator.integer'),
									'paramsValidator'   : "{'sizeMin' : '1', 'sizeMax' : '100'}",
									'obligatoire'       : true,
								}) }}
							</div>
							<div class="row" id="calculated-alert" {% if question.TYPE_REP != 'C' %}style="display:none;"{% endif %}>
								<label>
									{{ '* ' ~ 'Réservé campagne d\'évaluation fournisseur' | trad }}
								</label>
							</div>
						</div>
						<div class="colonne2 last">
                            {% if mode != 'AO' and mode != 'AO_CONTRIB' %}
                                <div id="quest_four_wrapper" class="row">
                                    {{ inputAdvance('SWITCH',{
                                        'titre'             : 'Pour fournisseur ?' | trad,
                                        'name'              : 'QUEST_FOUR',
                                        'value'             : question.QUEST_FOUR,
                                    }) }}
                                </div>
                            {% endif %}
							{% if mode != 'AO' and mode != 'AO_CONTRIB' and mode != 'question' and mode != 'modele' %}
								<div class="row" {% if count < 1  %}style="display:none;"{% endif %}>
									{{ inputAdvance('SWITCH',{
										'titre'             : 'Rendre la question dépendante ?' | trad,
										'name'              : 'QST_DEP',
										'value'             : question.QST_DEP,
									}) }}
								</div>
							{% endif %}
						</div>
					</div>
					<br>
					<legend class="scheduler-border tableNote" {% if question.TYPE_REP != 'N' %}style="display:none;"{% endif %}>{{ 'Paramétrages des réponses numériques autorisées pour le fournisseur' | trad }} </legend>
						<div id="TypeRepN" class="typeRep clearfix" {% if question.TYPE_REP != 'N' %}style="display:none;"{% endif %}>
					<br>
						{% if mode != 'AO' and mode != 'AO_CONTRIB' %}
						<div class="colonne2">
							<div class="row">
								{{ inputAdvance('SWITCH', {
									'titre' : 'Réponses négatives possibles ?' | trad,
									'name' : 'NEGATIF',
									'value' : question.NEGATIF,
								}) }}
							</div>
						</div>
						{% endif %}
						<div class="colonne2">
							<div class="row">
								{% if mode != 'AO' and mode != 'AO_CONTRIB' %}
									{{ inputAdvance('SELECT',{
										'titre'             : 'Type de nombre' | trad,
										'name'              : 'TYP_NOMBRE',
										'value'             : question.TYP_NOMBRE,
										'listeValue'        : listeTypeNombre
									}) }}
								{% endif %}
							</div>
						</div>
						<div class="colonne2">
							<div class="row" style="display:none;">
								{{ inputAdvance('TEXT', {
									'titre' : 'Longueur partie entière' | trad,
									'name' : 'A_LONG',
									'pathValidator' : path('Ajax.validator.integer'),
									'paramsValidator' : "{'sizeMin' : '0', 'sizeMax' : '15', 'controleByValue' : true}",
									'obligatoire' : 1,
									'value' : 9,
								}) }}
							</div>
						</div>
						<div class="colonne2">
                            <div class="row">
                                {{ inputAdvance('TEXT', {
                                    'titre' : 'Valeur min de la réponse attendue' | trad,
                                    'name' : 'NUM_MIN',
                                    'pathValidator' : path('Ajax.validator.float'),
                                    'paramsValidator' : "{'format' : '15.9'}",
                                    'obligatoire' : 1,
                                    'value' : question.NUM_MIN,
                                }) }}
                            </div>
							<div class="row">
								{{ inputAdvance('TEXT', {
									'titre' : 'Longueur partie décimale' | trad,
									'name' : 'N_PARTIE_DEC',
									'pathValidator' : path('Ajax.validator.integer'),
									'paramsValidator' : "{'sizeMin' : '0', 'sizeMax' : '15', 'controleByValue' : true}",
									'obligatoire' : 1,
									'value' : question.N_PARTIE_DEC,
								}) }}
							</div>
						</div>
						<div class="colonne2 last">
							<div class="row">
								{{ inputAdvance('TEXT', {
									'titre' : 'Valeur max de la réponse attendue' | trad,
									'name' : 'NUM_MAX',
									'pathValidator' : path('Ajax.validator.float'),
									'paramsValidator' : "{'format' : '15.9'}",
									'obligatoire' : 1,
									'value' : question.NUM_MAX,
								}) }}
							</div>
						</div>
					</div>
					{% if mode != 'AO' and mode != 'AO_CONTRIB' %}
						<h4>{{ 'Pour campagne d\'évaluation fournisseur' | trad }}</h4>
						<div class="clearfix">
							<div id="rater_origin" class="clearfix" {% if question.TYPE_REP == 'C' or question.QUEST_FOUR | boolSql %}style="display:none"{% endif %}>
								<div class="colonne2 calculated-disabled">
									<div class="row">
										{{ inputAdvance('SELECT',{
											'titre'             : 'Origine évaluateur' | trad,
											'name'              : 'PROFNOTEUR0',
											'listeValue'        : listeOrigineNoteur,
											'value'             : PROFNOTEUR0,
											'optionVide'        : true,
										}) }}
									</div>
								</div>
								<div class="colonne2 last calculated-disabled" id="divPROFNOTEUR2">
									{% if listeNoteur or question.PROFNOTEUR2 != '' %}
										{% include '@Evaluation/Question/ajaxNoteur.twig' %}
									{% endif %}
								</div>
							</div>
							<div class="colonne2 calculated-disabled" {% if question.TYPE_REP == 'C' %}style="display:none;"{% endif %}>
								<div class="row">
										{{ inputAdvance('SWITCH',{
											'titre'             : 'Commentaire possible ?' | trad,
											'name'              : 'AUTHCOMMENT',
											'value'             : question.AUTHCOMMENT,
										}) }}
								</div>
							</div>
							<div class="colonne2">
								{% if mode == "campagne" or mode == "question" or mode == "modele"%}
									<div class="row">
										{{ inputAdvance('SWITCH',{
											'titre'             : 'Question obligatoire ?' | trad,
											'name'              : 'QST_OBLIG',
											'value'             : question.QST_OBLIG ?? true,
										}) }}
									</div>
								{% endif %}
							</div>
							<div class="colonne2 last">
								<div class="row">
									{{ inputAdvance('SWITCH',{
										'titre'             : 'Non applicable possible ?' | trad,
										'name'              : 'OUV_NAPOSS',
										'value'             : question.OUV_NAPOSS ?? false,
									}) }}
								</div>
							</div>
							<div class="colonne2 calculated-disabled" {% if question.TYPE_REP == 'C' %}style="display:none;"{% endif %}>
								<div class="row SIZEREGCOMOBLIG" style="display:none;">
									{{ inputAdvance('TEXT', {
										'titre' : 'Valeur commentaire obligatoire' | trad,
										'name' : 'MIN_REGCOMOBLIG',
										'pathValidator' : path('Ajax.validator.integer'),
										'paramsValidator' : "{'sizeMin' : '1', 'sizeMax' : '100'}",
										'obligatoire' : 1,
										'value' : value.MIN_REGCOMOBLIG,
									}) }}
								</div>
							</div>
							<div class="colonne2 last calculated-disabled">
								{# <div class="row REGCOMOBLIG_N REGCOMOBLIG"  {% if question.TYPE_REP != 'N' %}style="display:none;"{% endif %}>
									{{ inputAdvance('SELECT',{
										'titre'             : 'Règle commentaire obligatoire' | trad,
										'name'              : 'N_REGCOMOBLIG',
										'value'             : question.N_REGCOMOBLIG,
										'listeValue'        : listeRegleN
									}) }}
								</div> #}
								<div class="row REGCOMOBLIG_L REGCOMOBLIG" style="display:none;">
									{{ inputAdvance('SELECT',{
										'titre'             : 'Règle commentaire obligatoire' | trad,
										'name'              : 'L_REGCOMOBLIG',
										'value'             : question.L_REGCOMOBLIG,
										'listeValue'        : listeRegleL
									}) }}
								</div>
								<div class="row SIZEREGCOMOBLIG SIZEREGCOMOBLIG_T" style="display:none;">
									{{ inputAdvance('TEXT', {
										'titre' : 'Valeur commentaire obligatoire MAX' | trad,
										'name' : 'MAX_REGCOMOBLIG',
										'pathValidator' : path('Ajax.validator.integer'),
										'paramsValidator' : "{'sizeMin' : '1', 'sizeMax' : '100'}",
										'obligatoire' : 1,
										'value' : value.MAX_REGCOMOBLIG,
									}) }}
								</div>
							</div>
						</div>
						<div id="TypeRepO" class="typeRep clearfix" {% if question.TYPE_REP != 'O' %}style="display:none;"{% endif %}>
							<div class="colonne2">
								<div class="row">
									{{ inputAdvance('SELECT',{
										'titre'             : 'Note attribuée par' | trad,
										'name'              : 'OUV_NOTEPAR',
										'value'             : question.OUV_NOTEPAR,
										'listeValue'        : listeNoeur,
										'option'			: question.QUEST_FOUR | boolSql ? 'disabled' : ''
									}) }}
								</div>
							</div>
						</div>
					{% endif %}
						<div class="tableNote clearfix" {% if question.TYPE_REP != 'N' and question.TYPE_REP != 'C' %}style="display:none;"{% endif %}>
							<fieldset class="scheduler-border tableNote" {% if question.TYPE_REP != 'N' and question.TYPE_REP != 'C' %}style="display:none;"{% endif %}>
								<legend class="scheduler-border tableNote" {% if question.TYPE_REP != 'N' and question.TYPE_REP != 'C' %}style="display:none;"{% endif %}>{{ 'Correspondance réponses numériques / notes' | trad }} <span class="obligatoire">*</span> </legend>
                                <div style="font-style: italic;">
                                    <p>
                                        {{ 'Le tableau de notes doit comporter au moins deux notes. La note de base représente la note obtenue en cas de réponse valant la valeur attendue minimale.' | trad }}
                                    </p>
                                </div>
								<table class="table table-hover" id="tableNote">
									<thead class="thead-dark">
										<th scope="col">{{ 'Si la réponse est supérieure ou égale aux valeurs saisies ci-dessous, alors votre notation associée s\'applique' | trad }}</th>
										<th scope="col" width="15%">{{ 'Notation (sur 10 max)' | trad }}</th>
										<th scope="col" width="50px">
											<a class="ajouter_blanc_v2  white-tooltip" style="float:right;font-weight:normal;" 
                                                onclick="addLigneNote('{{ path('Evaluation.Question.addNote') }}');">
												<span class="infos_tooltip left">
													{{ 'Ajouter une note' | trad }}
												</span>
											</a>
										</th>
									</thead>
									<tbody>
										<tr style="display:none;"></tr>
										{% if listeReponse and (question.TYPE_REP == 'N' or  question.TYPE_REP == 'C') %}
											{% for note in listeReponse %}
												{% include '@Evaluation/Question/ajaxLigneNote.twig' %}
											{% endfor %}
                                        {% else %}
                                            {% set note = {'ID_REP' : 0} %}
                                                {% include '@Evaluation/Question/ajaxLigneNote.twig' %}
										{% endif %}
									</tbody>
								</table>
							</fieldset>
						</div>
					<div id="TypeRepL" class="typeRep clearfix" {% if question.TYPE_REP != 'L' %}style="display:none;"{% endif %}>
						<div class="colonne2">
							<div class="row">
								{{ inputAdvance('TEXT', {
									'titre'            : 'Note pour non' | trad,
									'name'             : 'NOTE_FAUX',
									'pathValidator'    : path('Ajax.validator.integer'),
									'paramsValidator'  : "{'sizeMin' : '1', 'sizeMax' : '100'}",
									'obligatoire'      : 1,
									'value'            : question.NOTE_FAUX,
								}) }}
							</div>
						</div>
						<div class="colonne2 last">
							<div class="row">
								{{ inputAdvance('TEXT', {
									'titre'            : 'Note pour oui' | trad,
									'name'             : 'NOTE_VRAI',
									'pathValidator'    : path('Ajax.validator.integer'),
									'paramsValidator'  : "{'sizeMin' : '1', 'sizeMax' : '100'}",
									'obligatoire'      : 1,
									'value'            : question.NOTE_VRAI,
								}) }}
							</div>
						</div>
					</div>
					<div id="TypeRepT" class="typeRep clearfix" {% if question.TYPE_REP != 'T' %}style="display:none;"{% endif %}>
						<fieldset class="scheduler-border">
							<legend class="scheduler-border">{{ 'Liste de réponses' | trad }} <span class="obligatoire">*</span></legend>

							<table class="table table-hover" id="tableResponse">
								<thead class="thead-dark">
									<th scope="col">{{ 'Texte réponse' | trad }}</th>
									<th scope="col" width="15%">{{ 'Com. manuel ?' | trad }}</th>
									{% if mode != 'AO' and mode != 'AO_CONTRIB' %}
                                        <th scope="col" width="15%">{{ 'Com. Oblig. ?' | trad }}</th>
                                    {% endif %}
									<th scope="col" width="10%">{{ 'Note' | trad }}</th>
									<th scope="col" width="50px">
										<a class="ajouter_blanc_v2  white-tooltip" style="float:right;font-weight:normal;" 
                                            onclick="addLigneRep('{{ path('Evaluation.Question.addResponse', {mode:mode}) }}');">
											<span class="infos_tooltip left">
												{{ 'Ajouter une réponse' | trad }}
											</span>
										</a>
									</th>
								</thead>
								<tbody>
									<tr style="display:none;"></tr>
									{% if listeReponse and question.TYPE_REP == 'T' %}

										{% for rep in listeReponse %}
											{% include '@Evaluation/Question/ajaxLigneReponse.twig' %}
										{% endfor %}

									{% else %}
										{% set rep = {'ID_REP' : 1} %}
											{% include '@Evaluation/Question/ajaxLigneReponse.twig' %}
									{% endif %}
								</tbody>
							</table>
						</fieldset>
					</div>
					<div id="TypeRepC" class="typeRep clearfix" {% if question.TYPE_REP != 'C' %}style="display:none;"{% endif %}>
						<fieldset class="scheduler-border">
							<legend class="scheduler-border">{{ 'Réponse calculée' | trad }}</legend>
							<div class="full">
								<div class="row white-tooltip">
									{{ inputAdvance('TEXT', {
										'titre'             : 'Select' | trad,
										'name'              : 'REPCALC_SELECT',
										'paramsValidator'   : "{'sizeMin' : '1', 'sizeMax' : '200'}",
										'obligatoire'       : 1,
										'value'             : question.REPCALC_SELECT,
									}) }}
                                    <span class="infos_tooltip top-left">
										{{ 'Les commandes SQL (UPDATE, DELETE, etc.) sont interdites dans ce champ.' | trad }}
                                    </span>
								</div>
							</div>
							<div class="full">
								<div class="row">
									{{ inputAdvance('TEXTAREA', {
										'titre'           : 'Requête' | trad,
										'name'            : 'REPCALC_REQ',
										'pathValidator'   : path('Ajax.validator.isStringAvecEspace'),
										'paramsValidator' : "{'sizeMin' : '1', 'sizeMax' : '3000'}",
										'obligatoire'     : 1,
										'value'           : question.REPCALC_REQ,
									}) }}
									<div style="width: 40%; float: left; display: flex; justify-content: space-between; margin-top: 15px;">
										<a id="query-test" class="button secondaire" onclick="ajaxPopupV2('{{ path('Evaluation.Question.checkRequest') }}', 'form_new_Question');" style="min-width: 120px;">
                                            {{ 'Tester la requête' | trad }}
										</a>
									</div>
									<div style="width: 60%; float: right; display: flex; justify-content: space-between; margin-top: 15px;">
										<a id="tag-user" class="button secondaire" onclick="addTag();" style="min-width: 120px;">
											{{ 'Tag Utilisateur' | trad }}
										</a>
										<a id="tag-company" class="button secondaire" onclick="addTag();" style="min-width: 120px;">
											{{ 'Tag Société' | trad }}
										</a>
										<a id="tag-period" class="button secondaire" onclick="addTag();" style="min-width: 120px;">
											{{ 'Tag Période' | trad }}
										</a>
										<a id="tag-supplier" class="button secondaire" onclick="addTag();" style="min-width: 120px; margin-right: 0px;">
											{{ 'Tag Fournisseur' | trad }}
										</a>
									</div>
								</div>
							</div>
						</fieldset>
					</div>
					{% if mode != 'AO' and mode != 'AO_CONTRIB' %}
						<div class="clearfix" id="dependency_management" {% if (dependency|length) < 1 or mode == 'question'%}style="display:none;"{% endif %}>
							<fieldset class="scheduler-border">
                                <div class="row">
                                    {{ inputAdvance('ZOOMADVANCE', {
                                        'titre' : 'Question parent' | trad,
                                        'name' : 'ID_QST_PARENT',
                                        'pahtZoom' : path('Evaluation.Question.parentQuestionList', {mode: mode, id: idMode, theme: idTheme, questionId: idQuestion}),
                                        'titleZoom' : 'Liste questions' | trad,
                                        'entity' : 'CAMP_QST_Q',
                                        'pathConvert' : path('Ajax.outil.convertLibelle'),
                                        'convertLibelle' : 'convertLibelleGlobal',
										'value'         : dependency.ID_QST_PARENT,
                                        'obligatoire'   : true,
                                    }) }} 
                                </div>

								<legend class="scheduler-border">{{ 'Gestion dépendance' | trad }}</legend>
								<div id="dependency_options" {% if (dependency|length) < 1 or mode == 'question'%}style="display:none;"{% endif %}>
									{% include "@Evaluation/Question/ajax-dependency-options.twig" %}
								</div>
							</fieldset>
						</div>
					{% endif %}
				</form>
				<script>
					$('#input_QUEST_FOUR').change(function(){
						if ($(this).is(':checked')){
							$('#rater_origin').hide();
							$('#divPROFNOTEUR2').hide();
							$('#input_OUV_NOTEPAR').val('C').change();
							$("#input_OUV_NOTEPAR").prop('disabled', true);
						} else {
							$('#rater_origin').show();
							$('#divPROFNOTEUR2').show();
							$("#input_OUV_NOTEPAR").prop('disabled', false);
						}
					})
					$('#input_TYPE_REP_FOUR').change(function() {
						if($('#input_QUEST_FOUR').is(':checked') && $('#input_TYPE_REP_FOUR').val() == 'O') {
							$('#input_OUV_NOTEPAR').val('C').change();
							$("#input_OUV_NOTEPAR").prop('disabled', true);
						}
					});
					
					$('#input_PROFNOTEUR0').change(function(){
						$.ajax({
							dataType : 'html',
							url: '{{ path('Evaluation.Question.ajaxNoteur',{mode:mode, idMode:idMode}) }}',
							data: {'PROFNOTEUR0' : $(this).val()},
							type: "POST",
							success: function(result){
								$('#divPROFNOTEUR2').html(result);
							}
						});
					});

                    $('#input_PROFNOTEUR1').change(function(){
                        if ($(this).val() !== '') {
                            $.ajax({
                                dataType : 'html',
                                url: '{{ path('Evaluation.Question.ajaxNoteurObject',{mode:mode, idMode:idMode}) }}',
                                data: {'PROFNOTEUR1' : $(this).val()},
                                type: "POST",
                                success: function(result){
                                    $('#object_noteur').html(result);
                                }
                            });
                            $('#object_noteur').show();
                        } else {
                            $('#object_noteur').hide();
                        }
                    });
                    
                    $('#input_QUEST_FOUR').change(function(){
						$('.typeRep').hide();
						if ($('#answer_type_list_supplier').css('display') != 'none'){
							$('#answer_type_list_supplier').hide();
							$('#answer_type_list').show();
                            $('#input_TYPE_REP').val($('#input_TYPE_REP_FOUR').val());
                            $('#input_TYPE_REP_FOUR').val('');
                            $('#TypeRep'+$('#input_TYPE_REP').val()).show();
						} else {
                            // si on coche question pour fournisseur
							$('#answer_type_list').hide();
							$('#calculated-alert').hide();
							$('#answer_type_list_supplier').show();
                            if ($('#input_TYPE_REP').val() != 'C') {
                                $('#input_TYPE_REP_FOUR').val($('#input_TYPE_REP').val());
                            }
                            $('#input_TYPE_REP').val('');
                            $('#TypeRep'+$('#input_TYPE_REP_FOUR').val()).show();
						}
						$('#input_REPCALC_SELECT').val('');
						$('#input_REPCALC_REQ').val('');
					});

					$('#input_TYPE_REP').change(function(){
						$('.typeRep').hide();
						$('.REGCOMOBLIG').hide();
						$('.SIZEREGCOMOBLIG').hide();

						$('#input_N_REGCOMOBLIG').val('');
						$('#input_L_REGCOMOBLIG').val('N');

						$('#TypeRep'+$(this).val()).show();
						if($('#input_AUTHCOMMENT').is(':checked'))
						{
							$('.REGCOMOBLIG_'+$(this).val()).show();
						}

						if ($(this).val() == 'C') {
							$('#calculated-alert').show();
							$('.calculated-disabled').hide();
                            $('#quest_four_wrapper').hide();
                            $('#input_QUEST_FOUR').prop( "checked", false );
						} else {
							$('#calculated-alert').hide();
							$('.calculated-disabled').show();
                            $('#quest_four_wrapper').show();
						}

						if($(this).val()=='N' || $(this).val()=='C') {
							$('.tableNote').show();
						} else {
							$('.tableNote').hide();
						}

                        switch ($(this).val()) {
                            case 'N':
                                $('#explication_reponse').html('{{ 'En fonction de la réponse numérique saisie par l’évaluateur, une note est attribuée au fournisseur.' | trad }}');
                                break;
                            case 'T':
                                $('#explication_reponse').html('{{ 'En fonction de la réponse texte sélectionnée par l’évaluateur, une note est attribuée au fournisseur.' | trad }}');
                                break;
                            case 'C':
                                $('#explication_reponse').html('{{ 'La réponse calculée permet de créer une requête afin de ramener des éléments chiffrés de la base de données.' | trad }}');
                                break;
                            default:
                                $('#explication_reponse').html('');
                        }
					});

					// dependancy management
					$('#input_QST_DEP').change(function(){
						if ($('#dependency_management').css('display') == 'none') {
							$('#dependency_management').show();
						} else {
							$('#dependency_management').hide();
						}
					});

					$('#input_BASIS_RULE').change(function(){
						if ($(this).val() != 'R') {
							$('.rule_type').show();
							$('.rule_type_r').hide();
							$('.dependency_value_interval').hide();
							$('.dependency_value').hide();
							$('.dependency_value_r').hide();
							$('.dependency_value_r_table').hide();
						} else {
							$('.rule_type_r').show();
							$('.rule_type').hide();
							$('.dependency_value_interval').hide();
							$('.dependency_value').hide();
							$('.dependency_value_r').hide();
							$('.dependency_value_r_table').hide();
						}
					})

					$('#input_RULE_TYPE').change(function(){
						if ($(this).val() == 'BE') {
							$('.dependency_value_interval').show();
							$('.dependency_value').hide();
							$('.dependency_value_r').hide();
							$('.dependency_value_r_table').hide();
						} else {
							$('.dependency_value').show();
							$('.dependency_value_interval').hide();
							$('.dependency_value_r').hide();
							$('.dependency_value_r_table').hide();
						}
					})

					$('#input_RULE_TYPE_R').change(function(){
						if ($(this).val() == 'NA') {
							$('.dependency_value_r').hide();
							$('.dependency_value').hide();
							$('.dependency_value_r_table').hide();
						} else if ($(this).val() == 'AN') {
							$('.dependency_value_r').show();
							$('.dependency_value').hide();
							$('.dependency_value_r_table').hide();
						} else {
							$('.dependency_value_r').hide();
							$('.dependency_value').hide();
							$('.dependency_value_r_table').show();
						}
					})

					$('#input_TYPE_REP_FOUR').change(function(){
						$('.typeRep').hide();
						$('.REGCOMOBLIG').hide();
						$('.SIZEREGCOMOBLIG').hide();

						$('#input_N_REGCOMOBLIG').val('');
						$('#input_L_REGCOMOBLIG').val('N');

						$('#TypeRep'+$(this).val()).show();
						if($('#input_AUTHCOMMENT').is(':checked'))
						{
							$('.REGCOMOBLIG_'+$(this).val()).show();
						}

						if ($('#calculated-alert').css('display') != 'none') {
							$('#calculated-alert').hide();
							$('.calculated-disabled').show();
						}

						if($(this).val()=='N' || $(this).val()=='C') {
							$('.tableNote').show();
						} else {
							$('.tableNote').hide();
						}
					});

					$('#input_AUTHCOMMENT').change(function(){
						if($('#input_AUTHCOMMENT').is(':checked'))
						{
							$('.REGCOMOBLIG_'+$('#input_TYPE_REP').val()).show();
						}
						else
						{
							$('#input_N_REGCOMOBLIG').val('');
							$('.REGCOMOBLIG').hide();
							$('.SIZEREGCOMOBLIG').hide();
						}
					});

					$('#input_N_REGCOMOBLIG').change(function(){

						$('.SIZEREGCOMOBLIG').hide();

						if($(this).val() == 'T')
						{
							$('.SIZEREGCOMOBLIG').show();
						}
						else if($(this).val() == '')
						{
							$('.SIZEREGCOMOBLIG').hide();
						}
						else
						{
							$('.SIZEREGCOMOBLIG').show();
							$('.SIZEREGCOMOBLIG_T').hide();
						}
					});

					function addLigneRep(path)
					{
						activeLoader();
						var lastId = $('.idRep').last().val();

						$.ajax({
							dataType : 'html',
							url: path,
							data: {'lastId' : lastId},
							type: "POST",
							success: function(result){
								$('#tableResponse tr:last').after(result);
								desactiveLoader();
							}
						});
					}

					function addLigneNote(path) {
						activeLoader();
						var lastId = $('.idNote').last().val();
						$.ajax({
							dataType: 'html',
							url: path,
							data: {
								lastId: lastId,
							},
							type: "POST",
							success: function (result) {
								$('#tableNote tr:last').after(result);
								desactiveLoader();
							}
						});
					}

					function addExpectedAnswer(path)
					{
						activeLoader();
						var lastId = $('.answerId').last().val();
						$.ajax({
							dataType : 'html',
							url: path,
							data: {'lastId' : lastId},
							type: "POST",
							success: function(result){
								$('#answer_table tr:last').after(result);
								desactiveLoader();
							}
						});
					}

					function typeInTextarea(newText, el = document.activeElement) {
						const [start, end] = [el.selectionStart, el.selectionEnd];
						el.setRangeText(newText, start, end, 'select');
					}

					function addTag()
					{
						let id = event.srcElement.id;
						let tag = id.substr(4);
						switch (tag) {
							case 'user':
								typeInTextarea('<TAG_USER>', document.getElementById('input_REPCALC_REQ'));
								break;
							
							case 'company':
								typeInTextarea('<TAG_SOCIETE>', document.getElementById('input_REPCALC_REQ'));
								break;
							
							case 'period':
								typeInTextarea('<TAG_PERIODE>', document.getElementById('input_REPCALC_REQ'));
								break;
							
							case 'supplier':
								typeInTextarea('<TAG_FOURN>', document.getElementById('input_REPCALC_REQ'));
								break;
						}
					}
					
					$(document).ready(function () {
                        $('#input_NUM_MIN').change(function () {
                            const newValue = $(this).val();

                            if (newValue === '') {
                                $('input[name="note_TXT_REP_0"]').val('{{ "Valeur min." | trad }}');
                            } else {
                                $('input[name="note_TXT_REP_0"]').val(newValue);
                            }
                        });
                    });
				</script>
			</div>
		</div>

{% endblock %}
